Commit b58926d6 authored by Christer Ekholm's avatar Christer Ekholm

Added compatibility-macro for set-face-underline.

to silence warnings "`set-face-underline-p' is an obsolete function"
in emacs-24
parent 560f620d
......@@ -2,6 +2,9 @@
* compatibility.el: Added compatibility-macro for read-only-mode.
* compatibility.el: Added compatibility-macro for
set-face-underline.
* commands2.el (kom-apropos): Use lyskom-read-only-mode.
2014-06-21 Christer Ekholm <che@chrekh.se>
......
......@@ -334,11 +334,16 @@ KEYS should be a string in the format used for saving keyboard macros
(lyskom-xemacs-or-gnu (make-face name nil temporary)
(make-face name)))
(lyskom-macro-alias set-face-underline (face underline &optional frame)
"Compatibility for older emacs that don't have set-face-underline
Calls set-face-underline-p."
`(set-face-undeline-p ,face ,underline ,frame))
(if (not (lyskom-find-face 'strikethrough))
(progn (make-face 'strikethrough)
(if (eval-when-compile (fboundp 'set-face-strikethrough-p))
(set-face-strikethru-p 'strikethrough t)
(set-face-underline-p 'strikethrough t))))
(lyskom-set-face-underline 'strikethrough t))))
(defun lyskom-get-buffer-window-list (buffer &optional minibuf frame)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment